Name (Axis API)
Keywords: javax.xml.soap.Name interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Interface Name

All Known Implementing Classes:
  PrefixedQName

public interface Name

A representation of an XML name. This interface provides methods for getting the local and namespace-qualified names and also for getting the prefix associated with the namespace for the name. It is also possible to get the URI of the namespace.

The following is an example of a namespace declaration in an element.

      <wombat:GetLastTradePrice xmlns:wombat="http://www.wombat.org/trader">

("xmlns" stands for "XML namespace".) The following shows what the methods in the `Name` interface will return.

- `getQualifiedName` will return "prefix:LocalName" = "WOMBAT:GetLastTradePrice"
- `getURI` will return "http://www.wombat.org/trader"
- `getLocalName` will return "GetLastTracePrice"
- `getPrefix` will return "WOMBAT"

XML namespaces are used to disambiguate SOAP identifiers from application-specific identifiers.

`Name` objects are created using the method `SOAPEnvelope.createName`, which has two versions. One method creates `Name` objects with a local name, a namespace prefix, and a namespace URI. and the second creates `Name` objects with just a local name. The following line of code, in which se is a `SOAPEnvelope` object, creates a new `Name` object with all three.

        Name name = se.createName("GetLastTradePrice", "WOMBAT",
                                   "http://www.wombat.org/trader");

The following line of code gives an example of how a `Name` object can be used. The variable element is a `SOAPElement` object. This code creates a new `SOAPElement` object with the given name and adds it to element.

        element.addChildElement(name);

Method Summary
`java.lang.String` | `getLocalName()` Gets the local name part of the XML name that this `Name` object represents.
`java.lang.String` | `getPrefix()` Returns the prefix associated with the namespace for the XML name that this `Name` object represents.
`java.lang.String` | `getQualifiedName()` Gets the namespace-qualified name of the XML name that this `Name` object represents.
`java.lang.String` | `getURI()` Returns the URI of the namespace for the XML name that this `Name` object represents.

Method Detail

### getLocalName

    public java.lang.String getLocalName()

  Gets the local name part of the XML name that this `Name` object represents.

  Returns:
    a string giving the local name

### getQualifiedName

    public java.lang.String getQualifiedName()

  Gets the namespace-qualified name of the XML name that this `Name` object represents.

  Returns:
    the namespace-qualified name as a string

### getPrefix

    public java.lang.String getPrefix()

  Returns the prefix associated with the namespace for the XML name that this `Name` object represents.

  Returns:
    the prefix as a string

### getURI

    public java.lang.String getURI()

  Returns the URI of the namespace for the XML name that this `Name` object represents.

  Returns:
    the URI as a string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.